com.io7m.r2.core

## Interface R2LightProjectiveWithShadowType

- All Superinterfaces:
    R2LightProjectiveReadableType, R2LightProjectiveType, R2LightProjectiveUsableType, R2LightProjectiveWithShadowReadableType, R2LightProjectiveWithShadowWritableType, R2LightProjectiveWritableType, R2LightReadableType, R2LightSingleReadableType, R2LightSingleType, R2LightSingleWritableType, R2LightVolumeSingleReadableType, R2LightVolumeSingleType, R2LightVolumeSingleWritableType, R2LightWithShadowSingleType, R2LightWritableType
  All Known Subinterfaces:
    R2LightProjectiveWithShadowVarianceType
  All Known Implementing Classes:
    R2LightProjectiveWithShadowVariance

      public interface R2LightProjectiveWithShadowType
      extends R2LightProjectiveType, R2LightProjectiveWithShadowReadableType, R2LightProjectiveWithShadowWritableType

  The type of projective lights that have shadows.

- - ### Method Summary

    - ### Methods inherited from interface com.io7m.r2.core.R2LightProjectiveReadableType

      `falloff, image, matchLightVolumeSingleReadable, matchProjectiveReadable, position, projection, radius, transform`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightProjectiveWritableType

      `setFalloff, setRadius, transformWritable`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightVolumeSingleType

      `matchLightSingle`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightSingleReadableType

      `arrayObject`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightReadableType

      `color, intensity, lightID`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightWritableType

      `colorWritable, setIntensity`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightProjectiveWithShadowReadableType

      `matchProjectiveReadable`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightWithShadowSingleType

      `matchLightWithShadow, shadow`

Copyright © 2017 <code@io7m.com> http://io7m.com